TencentNavKit

Instance Methods | Properties | List of all members
TNKRouteLineConfig Class Reference

导航路线颜色配置. More...

`#import <TNKRouteLineConfig.h>`

Inheritance diagram for TNKRouteLineConfig:

## Instance Methods
(instancetype) | - initWithDayFillColorPalette:dayStrokeColorPalette:nightFillColorPalette:nightStrokeColorPalette:
| 导航线在不同场景下的样式配置. More...

## Properties
TNKRouteColorPalette * | dayFillColorPalette
| 白天导航路线填充色颜色盘 More...
TNKRouteColorPalette * | dayStrokeColorPalette
| 白天导航路线描边色颜色盘 More...
TNKRouteColorPalette * | nightFillColorPalette
| 夜间导航路线填充色颜色盘 More...
TNKRouteColorPalette * | nightStrokeColorPalette
| 夜间导航路线描边色颜色盘 More...
float | width
| 设置地图绘制路线的线宽. 默认值为14。有效范围[0,30] More...

## Detailed Description

导航路线颜色配置.

## Method Documentation

## ◆ initWithDayFillColorPalette:dayStrokeColorPalette:nightFillColorPalette:nightStrokeColorPalette:

- (instancetype) initWithDayFillColorPalette: |  | (TNKRouteColorPalette *__nullable) | dayFillColorPalette
dayStrokeColorPalette: |  | (TNKRouteColorPalette *__nullable) | dayStrokeColorPalette
nightFillColorPalette: |  | (TNKRouteColorPalette *__nullable) | nightFillColorPalette
nightStrokeColorPalette: |  | (TNKRouteColorPalette *__nullable) | nightStrokeColorPalette

导航线在不同场景下的样式配置.

Parameters

  dayFillColorPalette | 白天导航路线填充色颜色盘
  dayStrokeColorPalette | 白天导航路线描边色颜色盘
  nightFillColorPalette | 夜间导航路线填充色颜色盘
  nightStrokeColorPalette | 夜间导航路线描边色颜色盘

Returns
  导航路线样式配置对象

## Property Documentation

## ◆ dayFillColorPalette

- (TNKRouteColorPalette*) dayFillColorPalette
| readnonatomicstrong

白天导航路线填充色颜色盘

## ◆ dayStrokeColorPalette

- (TNKRouteColorPalette*) dayStrokeColorPalette
| readnonatomicstrong

白天导航路线描边色颜色盘

## ◆ nightFillColorPalette

- (TNKRouteColorPalette*) nightFillColorPalette
| readnonatomicstrong

夜间导航路线填充色颜色盘

## ◆ nightStrokeColorPalette

- (TNKRouteColorPalette*) nightStrokeColorPalette
| readnonatomicstrong

夜间导航路线描边色颜色盘

## ◆ width

- (float) width
| readwritenonatomicassign

设置地图绘制路线的线宽. 默认值为14。有效范围[0,30]

The documentation for this class was generated from the following file:

- TNKRouteLineConfig.h